# Uses of Class
org.apache.datasketches.frequencies.LongsSketch

Packages that use LongsSketch
Package
Description
org.apache.datasketches.frequencies
This package is dedicated to streaming algorithms that enable estimation of the frequency of occurrence of items in a weighted multiset stream of items.

## Uses of LongsSketch in org.apache.datasketches.frequencies

Methods in org.apache.datasketches.frequencies that return LongsSketch
Modifier and Type
Method
Description
`static LongsSketch`
LongsSketch.`getInstance(String string)`
Returns a sketch instance of this class from the given String, which must be a String representation of this sketch class.
`static LongsSketch`
LongsSketch.`getInstance(org.apache.datasketches.memory.Memory srcMem)`
Returns a sketch instance of this class from the given srcMem, which must be a Memory representation of this sketch class.
`LongsSketch`
LongsSketch.`merge(LongsSketch other)`
This function merges the other sketch into this one.
Methods in org.apache.datasketches.frequencies with parameters of type LongsSketch
Modifier and Type
Method
Description
`LongsSketch`
LongsSketch.`merge(LongsSketch other)`
This function merges the other sketch into this one.